# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       curl
Summary:    A utility for getting files from remote servers (FTP, HTTP, and others)
Version:    7.25.0
Release:    1
Group:      Applications/Internet
License:    MIT
URL:        http://curl.haxx.se/
Source0:    http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
Source1:    http://curl.haxx.se/download/%{name}-%{version}.tar.lzma.asc
Source100:  curl.yaml
Patch0:     0101-curl-7.25.0-multilib.patch
Patch1:     curl-7.18.2-nssproxy.patch
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(zlib)
Provides:   webclient


%description
cURL is a tool for getting files from HTTP, FTP, FILE, LDAP, LDAPS,
DICT, TELNET and TFTP servers, using any of the supported protocols.
cURL is designed to work without user interaction or any kind of
interactivity. cURL offers many useful capabilities, like proxy support,
user authentication, FTP upload, HTTP post, and file transfer resume.



%package -n libcurl
Summary:    A library for getting files from web servers
Group:      System/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libcurl
This package provides a way for applications to use FTP, HTTP, Gopher and
other servers for getting files.


%package -n libcurl-devel
Summary:    Files needed for building applications with libcurl
Group:      Development/Libraries
Requires:   libcurl = %{version}-%{release}
Requires:   libidn-devel
Provides:   curl-devel = %{version}-%{release}
Obsoletes:   curl-devel < %{version}-%{release}

%description -n libcurl-devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The libcurl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.



%prep
%setup -q -n %{name}-%{version}

# 0101-curl-7.25.0-multilib.patch
%patch0 -p1
# curl-7.18.2-nssproxy.patch
%patch1 -p1
# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --with-nss \
    --enable-ipv6 \
    --with-ca-path=%{_sysconfdir}/ssl/certs/ \
    --with-libidn

make %{?jobs:-j%jobs}

# >> build post
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
install -d $RPM_BUILD_ROOT/%{_datadir}/aclocal
install -m 644 docs/libcurl/libcurl.m4 $RPM_BUILD_ROOT/%{_datadir}/aclocal
# don't need curl's copy of the certs; use openssl's
find ${RPM_BUILD_ROOT} -name ca-bundle.crt -exec rm -f '{}' \;

# << install post







%post -n libcurl -p /sbin/ldconfig

%postun -n libcurl -p /sbin/ldconfig




%files
%defattr(-,root,root,-)
# >> files
%doc COPYING
%{_bindir}/curl
%doc %{_mandir}/man1/curl.1*
# << files


%files -n libcurl
%defattr(-,root,root,-)
# >> files libcurl
%{_libdir}/libcurl.so.*
# << files libcurl

%files -n libcurl-devel
%defattr(-,root,root,-)
# >> files libcurl-devel
%doc docs/examples/*.c docs/examples/Makefile.example docs/INTERNALS
%doc docs/CONTRIBUTE docs/libcurl/ABI
%{_bindir}/curl-config*
%{_includedir}/curl
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_mandir}/man1/curl-config.1*
%doc %{_mandir}/man3/*
%{_datadir}/aclocal/libcurl.m4
# << files libcurl-devel

